开源 企业版 高校版 私有云 模力方舟 AI 队友
代码拉取完成,页面将自动刷新
捐赠
捐赠前请先登录
扫描微信二维码支付
取消
支付完成
支付提示
将跳转至支付宝完成支付
确定
取消
1 Star 0 Fork 0

killf/python-mode

加入 Gitee
与超过 1400万 开发者一起发现、参与优秀开源项目,私有仓库也完全免费 :)
免费加入
已有帐号? 立即登录
文件
develop
分支 (4)
标签 (81)
develop
last-py2-support
master
gh-pages
0.13.0
0.12.0
0.11.0
last-py2-support
0.10.0
0.9.2
0.9.1
0.9.0
0.8.1
0.8.0
0.7.8b
0.7.7b
0.7.6b
0.7.5b
0.7.4b
0.7.3b
0.7.2b
0.7.1b
0.7.0b
0.6.19
develop
分支 (4)
标签 (81)
develop
last-py2-support
master
gh-pages
0.13.0
0.12.0
0.11.0
last-py2-support
0.10.0
0.9.2
0.9.1
0.9.0
0.8.1
0.8.0
0.7.8b
0.7.7b
0.7.6b
0.7.5b
0.7.4b
0.7.3b
0.7.2b
0.7.1b
0.7.0b
0.6.19
克隆/下载
克隆/下载
提示
下载代码请复制以下命令到终端执行
为确保你提交的代码身份被 Gitee 正确识别,请执行以下命令完成配置
初次使用 SSH 协议进行代码克隆、推送等操作时,需按下述提示完成 SSH 配置
1 生成 RSA 密钥
2 获取 RSA 公钥内容,并配置到 SSH公钥
在 Gitee 上使用 SVN,请访问 使用指南
使用 HTTPS 协议时,命令行会出现如下账号密码验证步骤。基于安全考虑,Gitee 建议 配置并使用私人令牌 替代登录密码进行克隆、推送等操作
Username for 'https://gitee.com': userName
Password for 'https://userName@gitee.com': # 私人令牌
develop
分支 (4)
标签 (81)
develop
last-py2-support
master
gh-pages
0.13.0
0.12.0
0.11.0
last-py2-support
0.10.0
0.9.2
0.9.1
0.9.0
0.8.1
0.8.0
0.7.8b
0.7.7b
0.7.6b
0.7.5b
0.7.4b
0.7.3b
0.7.2b
0.7.1b
0.7.0b
0.6.19
python-mode
/
tests
/
test.sh
python-mode
/
tests
/
test.sh
test.sh 1.34 KB
一键复制 编辑 原始数据 按行查看 历史
Lie Ryan 提交于 2020年04月26日 07:17 +08:00 . Add test for textobjects selection
#! /bin/bash
# Check before starting.
set -e
which vim 1>/dev/null 2>/dev/null
cd $(dirname 0ドル)
# Source common variables.
source ./test_helpers_bash/test_variables.sh
# Prepare tests by cleaning up all files.
source ./test_helpers_bash/test_prepare_once.sh
# Initialize permanent files..
source ./test_helpers_bash/test_createvimrc.sh
# Execute tests.
declare -a TEST_ARRAY=(
"./test_bash/test_autopep8.sh"
"./test_bash/test_autocommands.sh"
"./test_bash/test_folding.sh"
"./test_bash/test_textobject.sh"
)
## now loop through the above array
set +e
for ONE_TEST in "${TEST_ARRAY[@]}"
do
echo "Starting test: $ONE_TEST" >> $VIM_OUTPUT_FILE
bash -x "$ONE_TEST"
echo -e "\n$ONE_TEST: Return code: $?" >> $VIM_OUTPUT_FILE
bash ./test_helpers_bash/test_prepare_between_tests.sh
done
# Show errors:
E1=$(grep -E "^E[0-9]+:" $VIM_OUTPUT_FILE)
E2=$(grep -E "^Error" $VIM_OUTPUT_FILE)
E3="$E1\n$E2"
if [ "$E3" = "\n" ]
then
echo "No errors."
else
echo "Errors:"
echo -e "$E3\n"
fi
# Show return codes.
RETURN_CODES=$(cat $VIM_OUTPUT_FILE | grep -i "Return code")
echo -e "${RETURN_CODES}"
# Exit the script with error if there are any return codes different from 0.
if echo $RETURN_CODES | grep -E "Return code: [1-9]" 1>/dev/null 2>/dev/null
then
exit 1
else
exit 0
fi
# vim: set fileformat=unix filetype=sh wrap tw=0 :
Loading...
举报
举报成功
我们将于2个工作日内通过站内信反馈结果给你!
请认真填写举报原因,尽可能描述详细。
请选择举报类型
取消
发送
误判申诉

此处可能存在不合适展示的内容,页面不予展示。您可通过相关编辑功能自查并修改。

如您确认内容无涉及 不当用语 / 纯广告导流 / 暴力 / 低俗色情 / 侵权 / 盗版 / 虚假 / 无价值内容或违法国家有关法律法规的内容,可点击提交进行申诉,我们将尽快为您处理。

取消
提交

简介

暂无描述
暂无标签
LGPL-3.0
使用 LGPL-3.0 开源许可协议
取消

发行版

暂无发行版

贡献者

全部

近期动态

不能加载更多了
编辑仓库简介
简介内容
主页
马建仓 AI 助手
尝试更多
代码解读
代码找茬
代码优化
1
https://gitee.com/killf/python-mode.git
git@gitee.com:killf/python-mode.git
killf
python-mode
python-mode
develop
点此查找更多帮助

搜索帮助

评论
仓库举报
回到顶部
登录提示
该操作需登录 Gitee 帐号,请先登录后再操作。
立即登录
没有帐号,去注册

AltStyle によって変換されたページ (->オリジナル) /